// 
//
#ifndef URL_IS_IN
#define URL_IS_IN

class URL {
  private:
    char *full;     // Entire specified URL
    char *host;     // Host URL
    int  port;
    char *path;     // Specified URL minus the host
    char *dir;      // Server directory of HTML file
    char *file;     // HTML file 
  public:
    URL( char *rawHTML );
    URL( char *rawHTML , char *par_dir);
    URL( URL *u );
    ~URL();
    static int HasURL( char *text );

    char const *Full( void ) const { return full; }
    char const *Host( void ) const { return host; }
    int  Port( void ) const { return port; }
    char const *Path( void ) const { return path; }
    char const *Dir( void ) const { return dir; }
    char const *File( void ) const { return file; }

    char *xDir( void ) { return dir; }

    int Relative( void ) const { return path[0] != '/'; }

    friend int operator==( const URL& l, const URL& r );

};

#endif
